import dsqlCrud from "../../../utils/data-fetching/crud";
import getQueue from "./get-queue";
export default async function deleteQueue({ queueId, userId }) {
    const tableName = "process_queue";
    const existingQueue = (await getQueue({ userId, queueId }));
    if (!(existingQueue === null || existingQueue === void 0 ? void 0 : existingQueue.id))
        return false;
    const deleteQueueRes = await dsqlCrud({
        action: "delete",
        table: tableName,
        targetId: existingQueue.id,
    });
    return Boolean(deleteQueueRes === null || deleteQueueRes === void 0 ? void 0 : deleteQueueRes.success);
}
