import dsqlCrud from "../../../utils/data-fetching/crud";
export default async function getQueue({ queueId, userId, query, single, }) {
    const tableName = "process_queue";
    let queryQuery = {};
    if (queueId) {
        queryQuery = Object.assign(Object.assign({}, queryQuery), { id: { value: String(queueId) } });
    }
    if (userId) {
        queryQuery = Object.assign(Object.assign({}, queryQuery), { user_id: { value: String(userId) } });
    }
    const getQueue = await dsqlCrud({
        action: "get",
        table: tableName,
        query: Object.assign(Object.assign({}, query), { query: Object.assign(Object.assign({}, query === null || query === void 0 ? void 0 : query.query), queryQuery) }),
    });
    const queuePayload = getQueue === null || getQueue === void 0 ? void 0 : getQueue.payload;
    return queueId || single ? queuePayload === null || queuePayload === void 0 ? void 0 : queuePayload[0] : queuePayload;
}
