import dsqlCrud from "../../../utils/data-fetching/crud";
export default async function handleMariadbUserGrantsForDatabasesCleanUpRecords({ user, updatedRecord, }) {
    /**
     * # Clean up Records
     */
    await dsqlCrud({
        action: "delete",
        table: "mariadb_user_databases",
        deleteData: {
            user_id: user.id,
            mariadb_user_id: updatedRecord.id,
        },
    });
    await dsqlCrud({
        action: "delete",
        table: "mariadb_user_privileges",
        deleteData: {
            user_id: user.id,
            mariadb_user_id: updatedRecord.id,
        },
    });
    await dsqlCrud({
        action: "delete",
        table: "mariadb_user_tables",
        deleteData: {
            user_id: user.id,
            mariadb_user_id: updatedRecord.id,
        },
    });
    return { success: true };
}
