import { APIResponseObject, DataCrudRequestMethods, DataCrudRequestMethodsLowerCase } from "../../types";
type Param<T = {
    [k: string]: any;
}> = {
    key?: string;
    body?: T;
    query?: T;
    useDefault?: boolean;
    path: string;
    method?: (typeof DataCrudRequestMethods)[number] | (typeof DataCrudRequestMethodsLowerCase)[number];
};
/**
 * # Query DSQL API
 */
export default function queryDSQLAPI<T = {
    [k: string]: any;
}, P = {
    [k: string]: any;
}>({ key, body, query, useDefault, path: passedPath, method, }: Param<T>): Promise<APIResponseObject<P>>;
export {};
