import getQueue from "./get-queue";
import dsqlCrud from "../../../utils/data-fetching/crud";
import numberfy from "../../../utils/numberfy";
export default async function addQueue({ queue, userId, dummy }) {
    const tableName = "process_queue";
    const existingQueueRes = dummy
        ? undefined
        : (await getQueue({
            query: {
                query: {
                    user_id: {
                        value: String(userId),
                    },
                    job_type: {
                        value: String(queue.job_type),
                    },
                },
            },
        }));
    const existingQueue = existingQueueRes === null || existingQueueRes === void 0 ? void 0 : existingQueueRes[0];
    if ((existingQueue === null || existingQueue === void 0 ? void 0 : existingQueue.id) && !dummy)
        return undefined;
    const addQueueRes = await dsqlCrud({
        action: "insert",
        table: tableName,
        data: Object.assign(Object.assign({}, queue), { user_id: numberfy(userId) }),
    });
    return addQueueRes;
}
