import mysql from "serverless-mysql";
import connDbHandler from "../../utils/db/conn-db-handler";
export default async function suDbHandler({ query, database, user, values, }) {
    const connection = mysql({
        config: {
            host: process.env.DSQL_DB_HOST,
            user: process.env.DSQL_DB_USERNAME,
            password: process.env.DSQL_DB_PASSWORD,
            database: database,
            charset: "utf8mb4",
        },
    });
    const results = await connDbHandler(connection, query);
    return results;
}
