import handleMariadbUserGrantsForDatabasesRecreateRecordsForDatabase from "./handle-mariadb-user-grants-for-databases-recreate-records";
import handleMariadbUserGrantsForDatabasesRecreateGrants from "./handle-mariadb-user-grants-for-databases-recreate-grants";
export default async function handleMariadbUserGrantsForDatabases({ accessedDatabases, user, updatedRecord, }) {
    /**
     * # Recreate Records
     */
    for (let i = 0; i < accessedDatabases.length; i++) {
        await handleMariadbUserGrantsForDatabasesRecreateRecordsForDatabase({
            currentAccessedDatabase: accessedDatabases[i],
            updatedRecord,
            user,
        });
        await handleMariadbUserGrantsForDatabasesRecreateGrants({
            currentAccessedDatabase: accessedDatabases[i],
            updatedRecord,
            user,
        });
    }
    return { success: true };
}
