import grabDbFullName from "./grab-db-full-name";
/**
 * # Grab full database name
 * @description Grab full database name from slug or full name
 * @param param0
 * @returns
 */
export default function grabDbNames({ dbName, userId, user }) {
    const dbNamePrefix = process.env.DSQL_USER_DB_PREFIX;
    const finalUserId = (user === null || user === void 0 ? void 0 : user.id) || userId;
    const userDbPrefix = `${dbNamePrefix}${finalUserId}_`;
    const dbFullName = grabDbFullName({ dbName, user, userId });
    return { userDbPrefix, dbFullName, dbNamePrefix };
}
