import sqlGenerator from "../functions/dsql/sql/sql-generator";
export default function apiGetGrabQueryAndValues({ query, values }) {
    const queryGenObject = typeof query == "string"
        ? undefined
        : sqlGenerator({
            tableName: query.table,
            genObject: query.query,
            dbFullName: query.dbFullName || "__db",
        });
    return {
        query: typeof query == "string"
            ? String(query.replace(/\n|\r|\n\r/g, " ").replace(/ {2,}/g, " "))
            : (queryGenObject === null || queryGenObject === void 0 ? void 0 : queryGenObject.string) || "",
        values: values || (queryGenObject === null || queryGenObject === void 0 ? void 0 : queryGenObject.values),
        valuesString: typeof query == "string"
            ? values
                ? JSON.stringify(values)
                : undefined
            : (queryGenObject === null || queryGenObject === void 0 ? void 0 : queryGenObject.values)
                ? JSON.stringify(queryGenObject.values)
                : undefined,
    };
}
